# API Docs

{% hint style="info" %}
This documentation shares the RESTful api endpoints provided by AirQo  for retrieving measurements and device metadata from the AirQo monitoring network.
{% endhint %}

### Authentication

**IMPORTANT:** All API endpoints use `token` as a **query parameter**.

1. **Get AirQo Account:** Visit <https://analytics.airqo.net/user/login>
2. **Register Client:** Log in → Account Settings → API tab → Register CLIENT app
3. **Create Token:** Generate access token using client credentials
4. **Use Token:** Include as QUERY parameter in all requests

#### Example Request

```
GET https://api.airqo.net/v2/measurements/gridS/64b7f325d7249f0029fed743/recent?token=YOUR_ACCESS_TOKEN
```

*✅ Correct: Query parameter | ❌ Wrong: Authorization header*

{% hint style="info" %}
Please follow the embedded link below to read more...
{% endhint %}

{% embed url="<https://docs.airqo.net/airqo-rest-api-documentation/>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.airqo.net/airqo-docs/api-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
